:
#
# version 3.0 Sep 25 11:21:02 PDT 1998
# version 3.0.3 Fri Jan  8 12:42:25 PST 1999 bpowell; for FILE loop in Fix()

# Modified Oct 2000 to work for Red Hat 6.2
# Erik Ginorio <eginorio@cisco.com>

umask 022
# This tool suite was written by and is copyrighted by Brad Powell, Matt 
# Archibald, and Dan Farmer 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000
#
# The copyright holder disclaims all responsibility or liability with 
# respect to its usage or its effect upon hardware or computer 
# systems, and maintains copyright as set out in the "LICENSE" 
# document which accompanies distribution. 

# setup
TITANHOME=`pwd`
PATH=/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
DATE=`/bin/date +%m%d%y%H%M`

OS=`uname -r`

# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
        exit 1
        fi

#
# suck in some lib functions (t_echo, etc.)
#
. misc_functions.sh

Intro () {

cat << EOF

  Script to keep sendmail from starting in the /etc/rc.d/rc?.d/S80sendmail file
  by renaming the files to K80sendmail (to kill it) and in 
  /etc/rc.d/init.d/sendmail we comment out the file. If sendmail is installed, 
  we disable it, and turn off the ability to start it. If it is not 
  installed, we just disable the start up scripts anyhow to be safe.

EOF

}

Fix() {

if [ -f /etc/rc.d/rc3.d/S??sendmail -o /etc/rc.d/rc3.d/S??sendmail ] ; then
      for FILE in `ls /etc/rc.d/*.d/S??sendmail`
       do
	t_echo 0 " renaming $FILE to disable sendmail service... "
	mv $FILE `echo $FILE | tr -s S K`
      done
      if [ -f /usr/sbin/sendmail ]; then
	 chmod 000 /usr/sbin/sendmail
	 t_echo 0 " Changing permissions on sendmail to 000 "
	 mv /usr/sbin/sendmail /usr/sbin/sendmail.ORIG.$DATE
	 t_echo 0 " renaming sendmail to sendmail.ORIG.$DATE "
      fi
      if [ -f /etc/rc.d/init.d/sendmail ]; then
	t_echo 0 " Disabling /etc/rc.d/init.d/sendmail to be safe " 
	ed /etc/rc.d/init.d/sendmail <<- !
		g/^\#/s/^\#//
		g/^/s/^/\#/
		w
		q
	!
      fi	
fi

}

Check() {

if [ -f /etc/rc.d/rc3.d/S??sendmail ]; then
      for FILE in `ls /etc/rc.d/*.d/S??sendmail`
       do
	t_echo 0 " Sendmail is enabled in ${FILE} - FAILS CHECK"
      done
     if [ -f /usr/sbin/sendmail ]; then
	t_echo 0 " Sendmail is installed - FAILS CHECK"
     fi
else
	t_echo 2 " Sendmail is disabled from starting"
    if [ -f /usr/sbin/sendmail ]; then
       t_echo 0 " But Sendmail is installed - FAILS CHECK"
    else
       t_echo 2 " Sendmail appears not to be installed - PASSES CHECK"
    fi
fi
}

action=$1
	case ${action} in
	-[Ii]*)
	Intro
	;;
	 -[Ff]*)
	Fix
	;;
	-[Vv]*)
	Check
	;;
	*)
        t_echo 1 "        ERROR:Invalid arg $action"
        t_echo 1 "        ERROR:Usage $MYNAME -[ivf] (I)ntro/(V)erify/(F)ix"
        t_echo 1 " "
	;;
	esac




# List all files to save prior to changes this modules might make.
# Syntax is SAVEFILES='foo bar foobar'
#
SAVEFILES='/etc/rc.d/rc2.d/S??sendmail /etc/rc.d/rc3.d/S??sendmail'
