#!/bin./sh
# :
#
# version 3.0 Sep 25 11:21:02 PDT 1998
# revision 3.0.1 brad powell Sept 28 11:21:02 PDT 1998
# version 3.0.1 brad powell Mon Dec 14 10:53:10 PST 1998 line 72 
# change output to match actual check

umask 022
# This tool suite was written by and is copyrighted by Brad Powell, Matt 
# Archibald, and Dan Farmer 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000
#
# The copyright holder disclaims all responsibility or liability with 
# respect to its usage or its effect upon hardware or computer 
# systems, and maintains copyright as set out in the "LICENSE" 
# document which accompanies distribution. 

# setup
TITANHOME=`pwd`
PATH=/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
DATE=`/bin/date +%m%d%y%H%M`

OS=`uname -r`

# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
        exit 1
        fi

#
# suck in some lib functions (t_echo, etc.)
#
. misc_functions.sh

case "`uname`" in
5.[678]*|*inux) ;;
*)
        t_echo 1 "ERROR - This script is Only supported on patched Solaris 2.6 and newer, please use one of the other scripts for your OS "
        exit 1;;
esac
 
Intro() {
cat << EOF

 This changes the sendmail version 8.8  banner to not report what mail 
 version is running. It changes your login banner from something 
 like This:
 
	Sendmail SMI-8.8/SMI-SVR4 ready at Fri, 2 May 1997

		TO

     	Sendmail Server Ready


EOF
}

CheckBanner() {

if [ -f /etc/sendmail.cf ]; then

 if [ -f /etc/sendmail.cf.titan1 ]; then

  t_echo 2 " File /etc/sendmail.cf.titan1 exists - Checking content"
  grep "O\ SmtpGreetingMessage=\$j\ Sendmail\ \$v\/\$Z\;\ \$b" /etc/sendmail.cf >/dev/null

  if [ $? -ne 0 ]; then
   t_echo 2 "         sendmail banner has been modified  - PASSES CHECK"
   exit 1
  else
   t_echo 0 "         Sendmail Server Banner is generic  - FAILS CHECK"
  fi

 else
   t_echo 0 "         No /etc/sendmail.cf.titan1 exists - FAILS CHECK"
 fi

else
 t_echo 1 ""
 t_echo 1 "         No /etc/sendmail.cf exists"
 t_echo 1 "         Could not save current semdmail.cf or could not find it"
 exit 1
fi

}

FixBanner() {

# Here is where we add in the option 

if [ -f /etc/sendmail.cf ]; then

 cp /etc/sendmail.cf /etc/sendmail.cf.titan1 >/dev/null

 if [ $? -eq 0 ]; then
    t_echo 0 " Changing the Sendmail Ready line "

ed - /etc/sendmail.cf <<- !
g/^O\ SmtpGreetingMessage=\$j\ Sendmail\ \$v\/\$Z;\ \$b/s//O\ SmtpGreetingMessage=\ Sendmail\ ready /
w
q
!

 t_echo 2 "     "
 t_echo 2 " Sendmail login message changed"
 t_echo 2 "     "
else
 t_echo 1 " Could not backup /etc/sendmail.cf - ERROR"
 exit 1
 fi
fi

} # End FixBanner


action=$1
case $action in
	-[Ii]*)
	Intro
	;;
	 -[Ff]*)
	 FixBanner
	;;
	-[Vv]*)
	 CheckBanner
	;;
	*)
        t_echo 1 "         ERROR:Invalid arg $action"
        t_echo 1 "         ERROR:Usage $MYNAME -[ivf] (I)ntro/(V)erify/(F)ix"
        t_echo 1 " "
;;
esac


# List all files to save prior to changes this modules might make.
# Syntax is SAVEFILES='foo bar foobar'
#
SAVEFILES='/etc/sendmail.cf'
