#!/bin/sh
# :
#
# version 3.0 Sep 25 11:21:02 PDT 1998
# version 3.0.1 Mon Dec 14 10:53:10 PST 1998 change line 60-63 to pass a dot before "$$"
# version 3.0.3 Fri Jan  8 12:42:25 PST 1999 bpowell; for FILE loop in Fix()
# version 3.0.5 Fri Feb  18 12:42:25 PST 1999 bpowell; fix for solaris 7

umask 022
# This tool suite was written by and is copyrighted by Brad Powell, Matt 
# Archibald, and Dan Farmer 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000
#
# The copyright holder disclaims all responsibility or liability with 
# respect to its usage or its effect upon hardware or computer 
# systems, and maintains copyright as set out in the "LICENSE" 
# document which accompanies distribution. 

# setup
TITANHOME=`pwd`
PATH=/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
DATE=`/bin/date +%m%d%y%H%M`

#
# suck in some lib functions (t_echo, etc.)
#
. misc_functions.sh

case "`uname`" in
5.[678]*|*inux) ;;
*)
        t_echo 1 "ERROR - This script is Only supported on Solaris 2.6 and newer, please use one of the other scripts for your OS "
        exit 1;;
esac


# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
        exit 1
        fi


Intro() {

cat << EOF

 
Simply moves aside all the snmpdx daemons start up files. Snmpdx give out more
information than you really want it to. Who needs a port scanner if snmpdx is running?


EOF

}

Fix() {

        if [ -f /etc/rc2.d/S??snmpdx -o /etc/rc3.d/S??snmpdx ]; then
	for FILE in `ls /etc/rc*.d/S??snmpdx`
	do
	t_echo 0     " Killing snmpdx daemon "
	$FILE stop
         t_echo 2 " Saving and disabling $FILE to /etc/opt/S??snmpdx.ORIG.$DATE "
        mv  $FILE /etc/opt/S??snmpdx.ORIG.$DATE
         t_echo 2 " Saving /etc/init.d/init.snmpdx to /etc/opt/init.d-init.snmpdx.ORIG.$DATE"
        mv /etc/init.d/init.snmpdx /etc/opt/init.d-init.snmpdx.ORIG.$DATE
	chmod 0100 /etc/opt/S??snmpdx.ORIG.$DATE 
	chmod 0100 /etc/opt/init.d-init.snmpdx.ORIG.$DATE
          if [ $? -ne 0 ]; then
           t_echo 1 "     ERROR:Could not rename /etc/$FILE ; exiting"
           exit 1
	  else
           t_echo 2 "Done ... "
          fi
		done
        fi

}

Check() {

        if [ -f /etc/init.d/init.snmpdx ]; then
         t_echo 0 "   Snmpdx daemon is enabled: FAILS CHECK"
	 exit 1
         else
         t_echo 2 "  Snmpdx doesn't start at boot time: PASSES CHECK" 
         fi

}

action=$1

   case ${action} in
	-[Ii]*)
	Intro
	;;
	-[Ff]*)
	Fix
	;;
	-[Vv]*)
	Check
	;;
	*)
        t_echo 1 "        ERROR:Invalid arg $action"
        t_echo 1 "        ERROR:Usage $0 -[ivf] (I)ntro/(V)erify/(F)ix"
	exit 1;;
	esac



# List all files to save prior to changes this modules might make.
# Syntax is SAVEFILES='foo bar foobar'
#
SAVEFILES='/etc/rc.d/rc2.d/S??snmpdx /etc/rc.d/rc3.d/S??snmpdx'
