:
#
# version 3.0 Sep 25 11:21:02 PDT 1998

umask 022
# This tool suite was written by and is copyrighted by Brad Powell, Matt 
# Archibald, and Dan Farmer 1992, 1993, 1994, 1995, 1996, 1997, 1998 with input 
# from Casper Dik, and Alec Muffett.
#
# The copyright holder disclaims all responsibility or liability with 
# respect to its usage or its effect upon hardware or computer 
# systems, and maintains copyright as set out in the "LICENSE" 
# document which accompanies distribution. 

# setup
TITANHOME=`pwd`
PATH=/usr/ucb:/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
OS=`uname -r`

# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
        exit 1
        fi

. misc_functions.sh
 

Intro() {

cat << EOF

 This program checks rhosts entries against valid user ids
 in the NIS(+) and local password files in local home
 directories and displays the contents of each file with
 a field seperator of:

		 ===field===seperator===....

 No modifications are made to any files unless run with -f then
 the rhosts file, if found, is moved to ._rhosts and chmod
 400 and chown root to effectively shutdown access via the
 standard rhosts services.

EOF

}

GetPassLoc() {

 t_echo 2 "Running against passwd.byname..."
	(ypcat passwd.byname | awk -F: '{print $1}' >./USRI.$$ ) 2> /dev/null
	(ypcat passwd.byname | awk -F: '{print $(NF-1)}' >./USRH.$$ ) 2> /dev/null
 t_echo 2 "Running against /etc/passwd..."
	cat /etc/passwd | awk -F: '{print $1}' >>./USRI.$$
	cat /etc/passwd | awk -F: '{print $(NF-1)}' >>./USRH.$$

  case "$1" in
	-V)
	CheckRhosts
	;;
	-F)
	FixRhosts
	;;
	*)
        t_echo 1 "        ERROR ($0) - don\'t understand arg $1... "
	exit 1
	;;
   esac

}

FixRhosts() {

 /bin/paste ./USRI.$$ ./USRH.$$ | while read user dir ; do
        target=$dir/.rhosts
 	target2=$dir/._rhosts
        if [ -f $target ]; then
 t_echo 0 "Found $target... Fixing..."
 t_echo 0 "---------------------------------------"
	ls -l $target
        cat $target
	mv $target $target2
	chmod 400 $target2
	chown root $target2
	ls -l $target2
 t_echo 0 "---------------------------------------"
	fi
        done
}


CheckRhosts() {

 /bin/paste ./USRI.$$ ./USRH.$$ | while read user dir ; do
        target="$dir/.rhosts"
        if [ -f $target ]; then
 t_echo 0 "Found $target... "
 t_echo 0 "---------------------------------------"
	ls -l "$target"
        cat "$target"
 t_echo 0 "---------------------------------------"
        fi
        done
}


action=$1
	case ${action} in
	-[Ii]*)
	Intro
	;;
	 -[Ff]*)
	GetPassLoc -F
	rm ./USRI*
	rm ./USRH*
	;;
	-[Vv]*)
	GetPassLoc -V
	 rm ./USRI* 
        rm ./USRH* 
	;;
	*)
 t_echo 1 "        ERROR:Invalid arg $action"
 t_echo 1 "        ERROR:Usage $MYNAME -[ivf] (I)ntro/(V)erify/(F)ix"
 t_echo 1 " "
	;;
	esac
