:
# ftp-2.6_secure.sh
# version 3.1.2 bpowell Tue May 25 15:48:36 PDT 1999 
# version 3.2.1 bpowell Fri Oct  1 12:37:12 PDT 1999 backticks in banner line 
# instead of apostrphes
# version 3.4 Wed Feb 16 08:33:18 PST 2000 savefile variable added
# version 4.0

umask 022
# This tool suite was written by and is copyrighted by Brad Powell, Matt 
# Archibald, and Dan Farmer 1994, 1995, 1996, 1997, 1998, 1999, 2000
#
# The copyright holder disclaims all responsibility or liability with 
# respect to its usage or its effect upon hardware or computer 
# systems, and maintains copyright as set out in the "LICENSE" 
# document which accompanies distribution. 

# setup
TITANHOME=`pwd`
PATH=/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
DATE=`/bin/date +%m%d%y%H%M`
SAVEFILES='/etc/default/ftpd /etc/ftp-banner'

#
# suck in some lib functions (t_echo, etc.)
#
. misc_functions.sh

case "`uname -r`" in
5.[678]*) ;;
*)
        t_echo 1 "$MYNAME : This feature is Only supported on Solaris 2.6 and newer - ERROR"
        exit 1;;
esac


# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
        exit 1
        fi


Intro() {

cat << EOF

 
$MYNAME : Changes or creates /etc/default/ftpd file to add in a umask and
 ftp banner. Changes or creates /etc/ftp-banner with the following content:

This system is for authorized users only. Monitoring may occur

EOF

}

Fix() {

if [ -f /etc/default/ftpd ]; then
    t_echo 2 " Saving /etc/default/ftpd to /etc/default/ftpd.ORIG.$DATE"
    mv /etc/default/ftpd /etc/default/ftpd.ORIG.${DATE}
    chmod 0400 /etc/default/ftpd.ORIG.${DATE}
  if [ $? -ne 0 ]; then
      t_echo 1 "     Could not rename /etc/default/ftpd - ERROR"
  else
      t_echo 2     " Changing ftpd defaults "
     touch /etc/default/ftpd
ed /etc/default/ftpd <<- EDEND
a
UMASK=077
.
w
a
BANNER="`/bin/cat /etc/ftp-banner`"
.
w
q
EDEND
    chmod 644  /etc/default/ftpd
    t_echo 2 " /etc/default/ftpd changed ... "
  fi
fi

if [ ! -f /etc/default/ftpd ]; then
touch /etc/default/ftpd 
ed /etc/default/ftpd <<- EDEND
a
UMASK=077
.
w
a
BANNER="`/bin/cat /etc/ftp-banner`"
.
w
q
EDEND
    chmod 644  /etc/default/ftpd 
    t_echo 2 " /etc/default/ftpd created ... "
fi

  if [ -f /etc/ftp-banner ]; then
    t_echo 2 " Saving /etc/ftp-banner to /etc/ftp-banner.ORIG.$DATE"
    mv /etc/ftp-banner /etc/ftp-banner.ORIG.${DATE}
  fi
t_echo 2 " Creating /etc/ftp-banner      "
touch /etc/ftp-banner
ed /etc/ftp-banner <<- ENDED
a
This system is for authorized users only. Monitoring may occur
.
w
q
ENDED
    chmod 644  /etc/ftp-banner 
}

Check() {

if [ -f /etc/default/ftpd ]; then
  grep -i UMASK=077 /etc/default/ftpd
     if [ $? -eq 0 ]; then
       t_echo 0 "       /etc/default/ftpd sets UMASK - PASSES CHECK"
     else
       t_echo 1 "  /etc/default/ftpd does not set UMASK -  FAILS CHECK" 
     fi
fi

if [ -f /etc/default/ftpd ]; then
  grep "^BANNER" /etc/default/ftpd
    if [ $? -eq 0 ]; then
      t_echo 1 "       /etc/default/ftpd has a BANNER variable - PASSES CHECK"
    else
      t_echo 0 "  /etc/default/ftpd does not set a login BANNER -  FAILS CHECK"
    fi 
fi

if [ ! -f /etc/default/ftpd ]; then
	t_echo 0 "  /etc/default/ftpd does not exist -  FAILS CHECK" 
fi

}

action=$1

   case ${action} in
	-[Ii]*)
	Intro
	;;
	-[Ff]*)
	Fix
	;;
	-[Vv]*)
	Check
	;;
	*)
        t_echo 1 "        ERROR:Invalid arg $action"
        t_echo 1 "        ERROR:Usage $0 -[ivf] (I)ntro/(V)erify/(F)ix"
	exit 1;;
	esac

