:
# decode.sh
# version 3.0 Sep 25 11:21:02 PDT 1998
# version 3.4 Wed Feb 16 08:33:18 PST 2000 savefile variable added
# version 4.0

umask 022
# This tool suite was written by and is copyrighted by Brad Powell, Matt 
# Archibald, and Dan Farmer 1994, 1995, 1996, 1997, 1998, 1999, 2000
#
# The copyright holder disclaims all responsibility or liability with 
# respect to its usage or its effect upon hardware or computer 
# systems, and maintains copyright as set out in the "LICENSE" 
# document which accompanies distribution. 

TITANHOME=`pwd`
PATH=/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
SAVEFILES='/etc/aliases'
DATE=`/bin/date +%m%d%y%H%M`

# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
	exit 1
	fi
. misc_functions.sh

Intro() {

cat << EOF_INTRO

 $MYNAME - Check /etc/aliases for any programs that mail is piped to and comment out

EOF_INTRO
}

Check() {

awk '/ *#/ {next} ; \
	/\|/ {print $0}' /etc/aliases > ./tmpfile.$$

if test -s ./tmpfile.$$ ;
then
	t_echo 0 ""
	t_echo 0 "Existing mail alias(es)":
	cat ./tmpfile.$$
	t_echo 0  "    Some aliases use pipes  - FAILS CHECK"
        t_echo 3 " "
        t_echo 3 "Titan Recommendation: (decode.sh -f) Check /etc/aliases for named pipes "|" "
        t_echo 3 "which can be a security problem if a decode entry or other mail alias entry "
        t_echo 3 "pipes output to a system binary for execution. "
        t_echo 3 " "
        t_echo 3 "======================================================================== "

else
	t_echo 1  "    No aliases use pipes - PASSES CHECK"
fi 
rm -f ./tmpfile.$$
}

Fix() {
awk '/ *#/ {next} ; \
	/\|/ {print $0}' /etc/aliases > ./tmpfile.$$

if test -s ./tmpfile.$$ ; then
	t_echo 0 ""
	t_echo 0 "Removing existing mail alias(es) pipes":
	cat ./tmpfile.$$
	awk '/ *#/ { comment = 1 } ; \
		/\|/ { if (!comment) { pipe = 1; printf("# ") } } ; \
		{ print $0 ; comment = 0 }' /etc/aliases > aliases.titan
		cp -p /etc/aliases /etc/aliases.ORIG.$DATE
		mv -f aliases.titan /etc/aliases
else
	t_echo 1 "    decode disabled . PASSES CHECK"
fi

rm -f ./tmpfile.$$
}


action=$1
case $action in
 -[Ff]*)
Fix
;;
 -[Vv]*)
Check
;;
 -[Ii]*)
Intro
;;

*)
        t_echo 1 "        ERROR:Invalid arg $action"
        t_echo 1 "        ERROR:Usage $MYNAME -[ivf] (I)ntro/(V)erify/(F)ix"

        t_echo 1 " "
;;
esac


