:
# nuke-sendmail.sh
# version 3.0 Sep 25 11:21:02 PDT 1998
# version 3.0.3 Fri Jan  8 12:42:25 PST 1999 bpowell; for FILE loop in Fix()
# version 3.4 Wed Feb 16 08:33:18 PST 2000 savefile variable added
# version 4.0

umask 022
# This tool suite was written by and is copyrighted by Brad Powell, Matt 
# Archibald, and Dan Farmer 1994, 1995, 1996, 1997, 1998, 1999, 2000
#
# The copyright holder disclaims all responsibility or liability with 
# respect to its usage or its effect upon hardware or computer 
# systems, and maintains copyright as set out in the "LICENSE" 
# document which accompanies distribution. 

# setup
TITANHOME=`pwd`
PATH=/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
DATE=`/bin/date +%m%d%y%H%M`
SAVEFILES='/etc/rc2.d/S??sendmail /etc/rc3.d/S??sendmail'
OS=`uname -r`

# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
        exit 1
        fi

. misc_functions.sh

Intro () {

cat << EOF

 $MYNAME -  Script to keep sendmail from starting in the /etc/rc2.d/S??sendmail
 file. Takes advantage of the fact that /etc/rc?.d files that begin with a small s
 dont get started, thus we simply move S88sendmail to s88sendmail

EOF

}

Fix() {

if [ -f /etc/rc2.d/S??sendmail -o /etc/rc3.d/S??sendmail ] ; then
      for FILE in `ls /etc/*.d/S??sendmail`
       do
	cp -p $FILE `echo $FILE | tr -s S s`.ORIG.$DATE
	t_echo 2 " saving origional $FILE to `echo $FILE | tr -s S s`.ORIG.$DATE"
	t_echo 2 " renaming $FILE to disable sendmail service"
	mv $FILE `echo $FILE | tr -s S s`
      done
fi

}

Check() {

if [ -f /etc/*.d/S??sendmail ]; then

      for FILE in `ls /etc/*.d/S??sendmail`
       do
	t_echo 0 " Sendmail is enabled in ${FILE} - FAILS CHECK"
	done
        t_echo 3 " "
        t_echo 3 "Titan Recommendation: (nuke-sendmail.sh -f) On all systems that are not mail"
        t_echo 3 "servers, sendmail should be disabled. Also see sendmail-forward.sh
and "
        t_echo 3 "sendmail.sh for those systems needing to run sendmail. "
        t_echo 3 " "
        t_echo 3 "======================================================================== "

	else
	t_echo 1 " Sendmail is disabled from starting  - PASSES CHECK"
	fi
}

action=$1
	case ${action} in
	-[Ii]*)
	Intro
	;;
	 -[Ff]*)
	Fix
	;;
	-[Vv]*)
	Check
	;;
	*)
        t_echo 1 "        ERROR:Invalid arg $action"
        t_echo 1 "        ERROR:Usage $MYNAME -[ivf] (I)ntro/(V)erify/(F)ix"
        t_echo 1 " "
	;;
	esac


