:
# queue-sendmail.sh
# version 1.0 Tue Jul 02 13:30:00 MST 2001
#
# 07/03/2001 - Modified by Kyle Haugsness to match our local policy
#               The only thing we care about is PASSLENGTH.

umask 022
# This tool suite was written by and is copyrighted by Brad Powell, Matt
# Archibald, and Dan Farmer 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
#
# The copyright holder disclaims all responsibility or liability with
# respect to its usage or its effect upon hardware or computer
# systems, and maintains copyright as set out in the "LICENSE"
# document which accompanies distribution.
#
#This module donated by Mitko Stoyanov, August 1999
#This module was modified by Kyle Haugsness, July 2001
# to change /etc/init.d/sendmail
 
TITANHOME=`pwd`
MYNAME=`basename $0`
PATH=/bin:/usr/bin:/sbin:$TITANHOME/lib
DATE=`/bin/date +%m%d%y%H%M`
SAVEFILES='/etc/init.d/sendmail'
RUNDATE=`/usr/bin/date +%Y%m%d%H%M`
OS=`uname -r`


# File(s) that will be modified
RCFILE="/etc/init.d/sendmail"


# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
        exit 1
fi

. misc_functions.sh
 
Intro() {
cat << EOF_INTRO
 $MYNAME - This script checks/modifies the /etc/init.d/sendmail RC 
 script to see that sendmail runs in queue mode only. In queue
 mode, sendmail will not listen on any open ports however mail
 sent from the machine will be processed every fifteen minutes 
 (by default) and sent out to the world. If you would like
 to change the queue time for sendmail, you can do so
 by changing /etc/init.d/sendmail or /etc/default/sendmail.
 15 minutes seems reasonable enough for most sites.

 The downside of this approach is that sendmail is running on
 your machine constantly. An alternative would be to start
 sendmail from a CRON job.  
 
EOF_INTRO
}

Check() {

  if [ -r "$RCFILE" ];then 
    if [ "`grep -cs \"^[^#]*MODE=..*\" $RCFILE`" -ge 1 ];then
      t_echo 0 "  Sendmail MODE - FAILS CHECK" 
    else
       t_echo 1 "   Sendmail MODE - PASSES CHECK"
    fi
  else 
      t_echo 0 "  $RCFILE missing - FAILS CHECK" 
  fi


}

Fix() {

   if [ -r "$RCFILE" ] && \
      [ "`grep -cs \"^[^#]*MODE=..*\" $RCFILE`" -ge 1 ];then
        t_echo 0 "  $RCFILE entries - FAILS CHECK"
        t_echo 0 "  Fixing $RCFILE now...."
          if [ ! -f "$RCFILE" ];then
               t_echo 0 "  $RCFILE missing - FAILS CHECK"
               exit 1
          else
               cp -p $RCFILE ${RCFILE}.ORIG.${RUNDATE}
          fi

	ed - "$RCFILE" <<- __INPUT__
	g/^[^#]*MODE=.*/s//		MODE=/g
	.
	w
	q
	__INPUT__

        if [ "$?" -ne 0 ];then
          t_echo 0 "  Fixing $RCFILE ERROR - check the file"
          exit 1
        fi
   else
       t_echo 1 "   $RCFILE entries - PASSES CHECK"
   fi

}


 
action=$1
case $action in
 -[Ff]*)
Fix
;;
 -[Vv]*)
Check
;;
 -[Ii]*)
Intro
;;
 
*)
        echo "        ERROR:Invalid arg $action"
        echo "        ERROR:Usage $MYNAME -[ivf] (I)ntro/(V)erify/(F)ix"
 
        echo " "
;;
esac

