:
# create-motd.sh
# 2001-04-27 JKR copy of create-issue.sh

umask 022
# This tool suite was written by and is copyrighted by Brad Powell, Matt 
# Archibald, and Dan Farmer 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
#
# The copyright holder disclaims all responsibility or liability with 
# respect to its usage or its effect upon hardware or computer 
# systems, and maintains copyright as set out in the "LICENSE" 
# document which accompanies distribution. 
#
# Modified to support the message stored in lib/motd.  Also,
# this script doesn't overwrite an existing motd file.  Modified
# to overwrite motd if it differs from lib/motd.

# setup
TITANHOME=`pwd`
PATH=/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
DATE=`/bin/date +%m%d%y%H%M`
SAVEFILES='/etc/motd'
OS=`uname -r`

# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
        exit 1
        fi

. misc_functions.sh

Intro() {
cat << EOF

 $MYNAME - This program creates a default /etc/motd file so that upon system
 login, users will be displayed a Warning Banner. This banner is contained
 in the file "lib/motd", and should be customized by the local System 
 Administration Staff after consulting with the organization's legal staff.
 Because some users will not see the issue (e.g., those logging in with some
 ssh clients), this is a good complement to create-issue.sh

EOF

}

Check() {

if [ -f /etc/motd ]; then
  # The file to use can be stored in ./lib/motd or ./motd
  if [ -f ./lib/motd ]; then
	cmp -s /etc/motd ./lib/motd
	if [ $? -eq 0 ] ; then
	  t_echo 1 "        /etc/motd exists and its contents are what I expect - PASSES CHECK"
	  # This wasn't working (and it still isn't 100% correct).
 	  t_echo 2 " "
	else
	  t_echo 0 "       /etc/motd exists, but does not contain the proper contents - FAILS CHECK"
	fi
  elif [ -f ./motd ]; then
	cmp -s /etc/motd ./motd
	if [ $? -eq 0 ] ; then
	  t_echo 1 "        /etc/motd exists and its contents are what I expect - PASSES CHECK"
 	  t_echo 2 " "
	else
	  t_echo 0 "       /etc/motd exists, but does not contain the proper contents - FAILS CHECK"
	fi
  fi

else
  t_echo 0 "       /etc/motd does not exist - FAILS CHECK"
fi
}

Fix() {

if [ -f /etc/motd ]; then
  # The file to use can be stored in ./lib/motd or ./motd
  if [ -f ./lib/motd ]; then
	cmp -s /etc/motd ./lib/motd
	if [ $? -eq 0 ] ; then
	  t_echo 1 "        /etc/motd exists and its contents are what I expect - PASSES CHECK"
 	  t_echo 2 " "
	else
	  t_echo 0 "       /etc/motd exists, but does not contain the proper contents - FAILS CHECK"
 	  t_echo 2 "        Building /etc/motd... "
	  cp /etc/motd /etc/motd.ORIG.${DATE}
	  /bin/cat ./lib/motd > /etc/motd
	fi
  elif [ -f ./motd ]; then
	cmp -s /etc/motd ./motd
	if [ $? -eq 0 ] ; then
	  t_echo 1 "        /etc/motd exists and its contents are what I expect - PASSES CHECK"
 	  t_echo 2 " "
	else
	  t_echo 0 "       /etc/motd exists, but does not contain the proper contents - FAILS CHECK"
 	  t_echo 2 "        Building /etc/motd... "
	  cp /etc/motd /etc/motd.ORIG.${DATE}
	  /bin/cat ./motd > /etc/motd
	fi
  fi

else
  t_echo 0 "       /etc/motd does not exist - FAILS CHECK"
  t_echo 2 "        Building /etc/motd... "
  if [ -f ./lib/motd ]; then
    /bin/cat ./lib/motd > /etc/motd
  else
    /bin/cat ./motd > /etc/motd
  fi
fi
}

action=$1
	case ${action} in
	-[Ii]*)
	Intro
	;;
	 -[Ff]*)
	Fix
	;;
	-[Vv]*)
	Check
	;;
	*)
        t_echo 1 "        ERROR:Invalid arg $action"
        t_echo 1 "        ERROR:Usage $MYNAME -[ivf] (I)ntro/(V)erify/(F)ix"
        t_echo 1 " "
	;;
	esac
