:
# add-cmask.sh
# version 3.0 Sep 25 11:21:02 PDT 1998
# version 3.4 Wed Feb 16 08:33:18 PST 2000 savefile variable added
# version 4.0.BETA4 for solaris9 June 16, 2002

umask 022
# This tool suite was written by and is copyrighted by Brad Powell, Matt 
# Archibald, and Dan Farmer 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
#
# The copyright holder disclaims all responsibility or liability with 
# respect to its usage or its effect upon hardware or computer 
# systems, and maintains copyright as set out in the "LICENSE" 
# document which accompanies distribution. 

#
# setup
TITANHOME=`pwd`
PATH=/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
DATE=`/bin/date +%m%d%y%H%M`
SAVEFILES='/etc/default/init'
OS=`uname -r`

# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
        exit 1
        fi

. misc_functions.sh

Intro() {

cat << EOF
 $MYNAME - This program creates/checks the default CMASK entry for all
 of the boot time run scripts of 022 (forces the rc scripts to create files
 of mode 644)

EOF

}

# Basic lookup and repair functions
#
Fix() {

t_echo 1 " Updating /etc/default/init to change CMASK value."

CMSK=`grep '^CMASK' /etc/default/init | awk -F= '{print $2}'`
  if [ "$CMSK" = "077" ]; then
	t_echo 1 "CMASK set to $CMSK - PASSES CHECK"
	exit 0
  fi

 if [ "$CMSK" = "022" ]; then
        t_echo 0 " CMASK is set to $CMSK - PASSES CHECK"
        exit 0
 fi  

 if [ "$CMSK" != "022" ]; then
ed /etc/default/init <<- EOF
g/^CMASK=*/s//^CMASK=022/g
.
w
q
EOF
 fi
}

Check() {

CMSK=`grep '^CMASK' /etc/default/init | awk -F= '{print $2}'`
 if [ "$CMSK" = "077" ]; then
 	t_echo 0 " CMASK is set to $CMSK - PASSES CHECK"
	exit 0
 fi

 if [ "$CMSK" = "022" ]; then
        t_echo 0 " CMASK is set to $CMSK - PASSES CHECK "
        exit 0 
 fi   

	if [ "$CMSK" != "022" ]; then
  t_echo 0 "        CMASK set to $CMSK should be at least 022.. FAILS CHECK"
	t_echo 3 " "
	t_echo 3 "Titan Recommendation: (add-cmask.sh -f)"
	t_echo 3 "/etc/default/init should have CMASK=022 or CMASK=077 so that"
	t_echo 3 " all files get created with a sane umask."
	t_echo 3 " "
	t_echo 3 "================================================================ "

  	fi
}

action=$1	

	case ${action} in
	-[Ii]*)
	Intro
	;;
	-[Ff]*)
	Fix
	;;
	-[Vv]*)
	Check
	;;
	*)
 t_echo 1 " "
 t_echo 0 "        ERROR:Invalid arg $action"
 t_echo 0 "        ERROR:Usage $MYNAME -[ivf] (I)ntroduction/(V)erify/(F)ix"
 t_echo 1 " "
	;;
	esac	


# End
