:
# tcp_wrap.sh
# version 4.0 BETA5 June 16, 2002

umask 022
# This tool suite was written by and is copyrighted by Brad Powell, Matt
# Archibald, and Dan Farmer 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2002
#
# The copyright holder disclaims all responsibility or liability with
# respect to its usage or its effect upon hardware or computer
# systems, and maintains copyright as set out in the "LICENSE"
# document which accompanies distribution.

# setup
TITANHOME=`pwd`
PATH=/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
DATE=`/bin/date +%m%d%y%H%M`
SAVEFILES='/etc/default/inetd'
OS=`uname -r`

# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
        exit 1
        fi

. misc_functions.sh

Intro() {

cat << EOF

 $MYNAME - This program checks/sets the ENABLE_TCPWRAPPERS=YES variable in 
 /etc/default/inetd which allows for tcp wrappers support for all solaris /etc/inetd
 services.
 
EOF
}
 
#
# Fix it
Fix() {
 
WRAP=`grep "^[^#]*TCP_WRAPPERS=YES" /etc/default/inetd`
  if [ "$WRAP" != "TCP_WRAPPERS=YES" ]; then
	t_echo 2 " TCP Wrappers is not enabled; fixing"
	t_echo 2 "Saving default /etc/default/inetd as /etc/default/inetd.ORIG.$DATE"
      cp -p /etc/default/inetd /etc/default/inetd.ORIG.$DATE
   # now we fix it 
ed - /etc/default/inetd << EOF
g/^#ENABLE_TCPWRAPPERS=NO/d
22
a
# Titan addition
.
w
a
ENABLE_TCPWRAPPERS=YES
.
w
q
EOF
 fi
}


Check() {

grep "^ENABLE_TCPWRAPPERS=YES" /etc/default/inetd
 if [ $? -eq 0 ]; then
   t_echo 1 "TCP Wrappers support is enabled  - PASSES CHECK"
 
 else
   t_echo 1 "TCP Wrappers support not enabled  - FAILS CHECK"
   t_echo 3 " "
   t_echo 3 "Titan Recommendation: (tcp_wrap.sh -f) Change /etc/default/inetd "
   t_echo 3 "to enable TCP_WRAPPERS support by changing; "
   t_echo 3 "TCP_WRAPPERS=YES in /etc/default/inetd"
   t_echo 3 " "
   t_echo 3 "===================================================================="

 fi
   exit 1
}
 
#
# Main section here
 
action=$1
case $action in
        -[Ii]*)
        Intro
        ;;
         -[Ff]*)
          Fix
         ;;
         -[Vv]*)
          Check
         ;;
         *)
         t_echo 1 " "
         t_echo 1 "        ERROR:Invalid arg $action"
         t_echo 1 "        ERROR:Usage $MYNAME -[ivf] (I)ntro/(V)erify/(F)ix"
         t_echo 1 " "
        ;;
esac

